Package ru.bitel.bgbilling.kernel.event.events

# Class BeforeServiceDeleteEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.BeforeServiceDeleteEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class BeforeServiceDeleteEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Сихронное событие.
Событие вызывается перед удалением разрашенной услуги договора.
Унаследован от `LocalEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `BeforeServiceDeleteEvent()` |
  `` | `BeforeServiceDeleteEvent​(int userId, ContractService contractService)` | Конструктор события.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ContractService` | `getContractService()` | Возвращает удаляемую разрешенную услугу договора.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BeforeServiceDeleteEvent

    protected BeforeServiceDeleteEvent()

  - ### BeforeServiceDeleteEvent

    public BeforeServiceDeleteEvent​(int userId, ContractService contractService)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `contractService` - - разрешенная услуга договора

- ## Method Details

  - ### getContractService

    public ContractService getContractService()
    Возвращает удаляемую разрешенную услугу договора.
    Returns:
      contractService - разрешенная услуга договора